Package com.evopdf

# Class ViewerPreferences

java.lang.Object
com.evopdf.ViewerPreferences

public class ViewerPreferences extends Object
Represents the viewer preferences of the PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ViewerPreferences()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `centerWindow()`
  Gets the flag specifying whether to position the document’s window in the center of the screen when displaying the PDF document generated by the HTML to PDF converter
  `ViewerTextOrder`
  `direction()`
  Gets the predominant reading order for text when displaying the PDF document generated by the HTML to PDF converter
  `boolean`
  `displayDocTitle()`
  Gets the flag specifying whether the window’s title bar should display the document title taken from the title entry of the document information dictionary when displaying the PDF document generated by the HTML to PDF converter
  `boolean`
  `fitWindow()`
  Gets the flag specifying whether to resize the document’s window to fit the size of the first displayed page when displaying the PDF document generated by the HTML to PDF converter
  `boolean`
  `hideMenuBar()`
  Gets the flag specifying whether to hide the viewer application’s menu bar when the document is active when displaying the PDF document generated by the HTML to PDF converter
  `boolean`
  `hideToolbar()`
  Gets the flag specifying whether to hide the viewer application’s tool bars when the document is active when displaying the PDF document generated by the HTML to PDF converter
  `boolean`
  `hideWindowUI()`
  Gets the flag specifying whether to hide user interface elements in the document’s window (such as scroll bars and navigation controls), leaving only the document’s contents displayed when displaying the PDF document generated by the HTML to PDF converter
  `ViewerFullScreenExitMode`
  `nonFullScreenPageMode()`
  Gets the document’s page mode, specifying how to display the document on exiting full-screen mode when displaying the PDF document generated by the HTML to PDF converter.
  `ViewerPageLayout`
  `pageLayout()`
  Gets the page layout to be used when the PDF document generated by the HTML to PDF converter is opened
  `ViewerPageMode`
  `pageMode()`
  Gets how the PDF document generated by the HTML to PDF converter should be displayed when opened
  `void`
  `setCenterWindow(boolean centerWindow)`
  Sets the flag specifying whether to position the document’s window in the center of the screen when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setDirection(ViewerTextOrder direction)`
  Sets the predominant reading order for text when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setDisplayDocTitle(boolean displayDocTitle)`
  Sets the flag specifying whether the window’s title bar should display the document title taken from the title entry of the document information dictionary when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setFitWindow(boolean fitWindow)`
  Sets the flag specifying whether to resize the document’s window to fit the size of the first displayed page when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setHideMenuBar(boolean hideMenuBar)`
  Sets the flag specifying whether to hide the viewer application’s menu bar when the document is active when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setHideToolbar(boolean hideToolbar)`
  Sets the flag specifying whether to hide the viewer application’s tool bars when the document is active when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setHideWindowUI(boolean hideWindowUI)`
  Sets the flag specifying whether to hide user interface elements in the document’s window (such as scroll bars and navigation controls), leaving only the document’s contents displayed when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setNonFullScreenPageMode(ViewerFullScreenExitMode nonFullScreenPageMode)`
  Sets the document’s page mode, specifying how to display the document on exiting full-screen mode when displaying the PDF document generated by the HTML to PDF converter.
  `void`
  `setPageLayout(ViewerPageLayout pageLayout)`
  Sets the page layout to be used when the PDF document generated by the HTML to PDF converter is opened
  `void`
  `setPageMode(ViewerPageMode pageMode)`
  Gets how the PDF document generated by the HTML to PDF converter should be displayed when opened.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ViewerPreferences

    public ViewerPreferences()

- ## Method Details

  - ### hideToolbar

    public boolean hideToolbar()
    Gets the flag specifying whether to hide the viewer application’s tool bars when the document is active when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setHideToolbar

    public void setHideToolbar(boolean hideToolbar)
    Sets the flag specifying whether to hide the viewer application’s tool bars when the document is active when displaying the PDF document generated by the HTML to PDF converter. The default value of this property is true.
    Parameters:
      `hideToolbar` - the flag value to set

  - ### hideMenuBar

    public boolean hideMenuBar()
    Gets the flag specifying whether to hide the viewer application’s menu bar when the document is active when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setHideMenuBar

    public void setHideMenuBar(boolean hideMenuBar)
    Sets the flag specifying whether to hide the viewer application’s menu bar when the document is active when displaying the PDF document generated by the HTML to PDF converter. Default value is false
    Parameters:
      `hideMenuBar` - the flag value to set

  - ### hideWindowUI

    public boolean hideWindowUI()
    Gets the flag specifying whether to hide user interface elements in the document’s window (such as scroll bars and navigation controls), leaving only the document’s contents displayed when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setHideWindowUI

    public void setHideWindowUI(boolean hideWindowUI)
    Sets the flag specifying whether to hide user interface elements in the document’s window (such as scroll bars and navigation controls), leaving only the document’s contents displayed when displaying the PDF document generated by the HTML to PDF converter. Default value: False
    Parameters:
      `hideWindowUI` - the flag value to set

  - ### fitWindow

    public boolean fitWindow()
    Gets the flag specifying whether to resize the document’s window to fit the size of the first displayed page when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setFitWindow

    public void setFitWindow(boolean fitWindow)
    Sets the flag specifying whether to resize the document’s window to fit the size of the first displayed page when displaying the PDF document generated by the HTML to PDF converter. Default value: False
    Parameters:
      `fitWindow` - the flag value to set

  - ### centerWindow

    public boolean centerWindow()
    Gets the flag specifying whether to position the document’s window in the center of the screen when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setCenterWindow

    public void setCenterWindow(boolean centerWindow)
    Sets the flag specifying whether to position the document’s window in the center of the screen when displaying the PDF document generated by the HTML to PDF converter. Default value: False
    Parameters:
      `centerWindow` - the flag value to set

  - ### displayDocTitle

    public boolean displayDocTitle()
    Gets the flag specifying whether the window’s title bar should display the document title taken from the title entry of the document information dictionary when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the flag value

  - ### setDisplayDocTitle

    public void setDisplayDocTitle(boolean displayDocTitle)
    Sets the flag specifying whether the window’s title bar should display the document title taken from the title entry of the document information dictionary when displaying the PDF document generated by the HTML to PDF converter. Default value: False
    Parameters:
      `displayDocTitle` - the flag value to set

  - ### nonFullScreenPageMode

    public ViewerFullScreenExitMode nonFullScreenPageMode()
    Gets the document’s page mode, specifying how to display the document on exiting full-screen mode when displaying the PDF document generated by the HTML to PDF converter. This entry is meaningful only if the value of the PageMode entry in the catalog dictionary is FullScreen; it is ignored otherwise
    Returns:
      the full screen exit mode

  - ### setNonFullScreenPageMode

    public void setNonFullScreenPageMode(ViewerFullScreenExitMode nonFullScreenPageMode)
    Sets the document’s page mode, specifying how to display the document on exiting full-screen mode when displaying the PDF document generated by the HTML to PDF converter. This entry is meaningful only if the value of the PageMode entry in the catalog dictionary is FullScreen; it is ignored otherwise Default value: UseNone
    Parameters:
      `nonFullScreenPageMode` - the full screen exit mode to set

  - ### direction

    public ViewerTextOrder direction()
    Gets the predominant reading order for text when displaying the PDF document generated by the HTML to PDF converter
    Returns:
      the predominant reading order for text

  - ### setDirection

    public void setDirection(ViewerTextOrder direction)
    Sets the predominant reading order for text when displaying the PDF document generated by the HTML to PDF converter. Default value: L2R
    Parameters:
      `direction` - the predominant reading order for text to set

  - ### pageMode

    public ViewerPageMode pageMode()
    Gets how the PDF document generated by the HTML to PDF converter should be displayed when opened
    Returns:
      the page mode

  - ### setPageMode

    public void setPageMode(ViewerPageMode pageMode)
    Gets how the PDF document generated by the HTML to PDF converter should be displayed when opened. Default value: UseNone
    Parameters:
      `pageMode` - the page mode to set

  - ### pageLayout

    public ViewerPageLayout pageLayout()
    Gets the page layout to be used when the PDF document generated by the HTML to PDF converter is opened
    Returns:
      the page layout

  - ### setPageLayout

    public void setPageLayout(ViewerPageLayout pageLayout)
    Sets the page layout to be used when the PDF document generated by the HTML to PDF converter is opened
    Parameters:
      `pageLayout` - the page layout to set